Bug 63352 - ifdown-ipv6 always tries to shut down 6to4
Summary: ifdown-ipv6 always tries to shut down 6to4
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: skipjack-beta2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-12 21:30 UTC by Pekka Savola
Modified: 2014-03-17 02:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-12 21:31:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem of always shutting down 6to4 at ifdown-ipv6. (1.17 KB, patch)
2002-04-12 21:31 UTC, Pekka Savola
no flags Details | Diff

Description Pekka Savola 2002-04-12 21:30:41 UTC
Recently in the update, one problem in /etc/sysconfig/network-scripts/ifdown-ipv6 emerged.

The script tries to *always* shut down the 6to4 interface, this results to following behaviour
if only NETWORKING_IPV6=yes is defined in /etc/sysconfig/network (that is, a very simple case):

# ifdown eth0
ERROR    : [ipv6_trigger_radvd] Given pidfile '/var/run/radvd/radvd.pid' doesn't exist,
 cannot send trigger to radvd

This can be remedied by the attached, quite trivial patch.

This doesn't look nice, so should be fixed ASAP.

Comment 1 Pekka Savola 2002-04-12 21:31:37 UTC
Created attachment 53685 [details]
patch to fix the problem of always shutting down 6to4 at ifdown-ipv6.

Comment 2 Bill Nottingham 2002-04-13 01:22:59 UTC
fixed in 6.63-1 - thanks!


Note You need to log in before you can comment on or make changes to this bug.